### 12. Rights

While there is more that could be marked up with Microdata and Schema.org on 
the example page, we will add one last property. This is an example of an area
where Dublin Core has coverage for something that Schema.org completely
ignores.

In order to facilitate
automated reuse of digital collections content, it would be nice to include
a machine actionable license like a Creative Commons one. Schema.org does not
seem to include any properties for this kind of information, so the usual
`rel="license"` pattern could just be used instead. 

Unfortunately for our materials we cannot always be certain that we can release
materials under CC licenses and in other cases would not want to, 
so instead we use a short textual rights statement. We still want this rights
statement to travel with its metadata. If Microdata is extracted from the page, 
we want the consumer to have available this rights statement. 

Besides extending types and properties, the schema.org extension mechanism
also allows for adding properties to any type:

> You can introduce new properties for any class defined on schema.org, even if 
> the property is not a specialization of an existing property. We encourage 
> webmasters to do this, rather than defining a new class independently, so that 
> at least some of the information about the entity being described can be 
> understood by search engines.

So in this case we can just add a new property `rights` for the Photograph.
The search engines might not understand it, but if others adopt the property,
it could be recognized.

All of the properties we have used so far have been simple single word
names defined
as part of the types for the Schema.org vocabulary. It is allowable in Microdata
to use an [absolute URL for an `itemprop` value](http://www.whatwg.org/specs/web-apps/current-work/multipage/microdata.html#names:-the-itemprop-attribute).
Even though this falls outside of the defined Schema.org properties, could
use the property 
`http://purl.org/dc/elements/1.1/rights` from Dublin Core which is more
specific about what "rights" means. When using an
external property like this within the scope of a schema.org type, you must use
the full URL for the property.
The search engines,
of course, would not understand what this means. The Rich Snippets
Testing Tool (sometimes) gives the following warning:

> Warning: Page contains property "http://purl.org/dc/elements/1.1/rights" 
> which is not part of the schema.

There are some fields in our tutorial example, which could benefit from the
community coming to some agreement on how to refer to them.
Digitized resources usually come from a physical collection, and since not 
everything may have been digitized, it is important to point researchers to
the other resources in the collection. A property could be added which allows 
for pointing to an external collection guide or other resources.
To note the 
institution from which this digitized photograph came, there could be a
`repository` property, which could take a value of an Organization. 
Digital materials 
are sometimes placed into digital collections which 
group resources around particular themes or set of collections. 
We could create a property which would fit this case and similar virtual
collections. 


Learn how to apply Microdata to [search results pages](/steps/13.html).
