### 4. The `ItemPage` is `about` a `Photograph`

Now that we have some basic microdata on the page, let's try to to describe more
items on the page. Looking at the valid properties for an [ItemPage](http://schema.org/ItemPage),
a [CreativeWork](http://schema.org/CreativeWork), of which an ItemPage is one,
can have an `about` property. On each of the Schema.org pages for a type, you 
will see what other types' properties are inherited. ItemPage inherits different
properites from Thing, CreativeWork, and WebPage.
Since Schema.org is hierarchical, everything inherits some basic properties from
[Thing](http://schema.org/Thing): description, image, name, and url. In some 
cases child types add in new properites, but in the case of ItemPage no new
properties are defined.

If we add `itemprop="about"` to the `div` containing all metadata, then we get the 
JSON output as listed below. Notice that what is extracted from the page is just 
the text content, including any line breaks. Microdata processing does not
maintain any of the markup at all. (If you need to maintain some XML or other markup,
then [consider](https://dvcs.w3.org/hg/htmldata/raw-file/default/html-data-guide/index.html#syntax-considerations) 
using microformats or RDfa, which have the ability to maintain
XML literals.)

Looking more closely at how schema.org specifies the expected value of the `about`
property should be another 
[Thing](http://schema.org/Thing). The value can be any type that inherits from Thing.
Microdata is specified in a way where if the
author of the page gets it wrong, the processor may still be able to do something
useful with even just that text content. Processors should expect bad data 
[Conformance](http://schema.org/docs/datamodel.html).

> While we would like all the markup we get to follow the schema, in practice, 
> we expect a lot of data that does not. We expect schema.org properties to be 
> used with new types. We also expect that often, where we expect a property 
> value of type Person, Place, Organization or some other subClassOf Thing, we 
> will get a text string. In the spirit of "some data is better than none", we 
> will accept this markup and do the best we can.

So while we could just go with this, let's do something better.
In the [next step](/steps/5.html) we'll see how to mark the ItemPage
item up properly.
