### 8. building

Next we would like to include that the Photograph has as important content
the Memorial Bell Tower at North Carolina State University.
Looking at the properties available for a Photograph, we could say 
that the Photograph is `about` or `mentions` the Bell Tower. Since in this
context it is more likely that a user would be using a search engine to find
images of the Bell Tower than conducting a search like "students jumping", we
will make the choice that this image is `about` the Bell Tower.

So we can add to `div#building` the `itemprop` and `itemscope` like so:

    <div id="building" class="info" itemprop="about" itemscope>
      

The value of `about` is a Thing, so we'll want to choose any appropriate 
`itemtype`. In this case, `LandmarksOrHistoricalBuildings` seems to work well
enough. At State we are describing lots of buildings and making related
architectural drawings accessible. Some of these buildings are on the National
Register of Historic Places, but many are buildings of 
less note. Some have since been demolished. It could be that for most of the
images of buildings in the collection, that something more generic like [Place](http://schema.org/Place)
would be more easy fit. For other buildings there are definitely more specific
types which could fit, like Airport, CityHall, Courthouse, Hospital, Church.

Since many of these other Place types are tied to current services, it is
difficult to determine to what extent the historic record of these places 
serves the needs of users. There is no clear way to give the search engines the
hint about the difference.

As this is a new facet on the data that we currently have
it would take some retrospective and ongoing work to choose the correct type for
every building. For now we have made the decision to always pick the more
specific type of `LandmarksOrHistoricalBuildings` for all the buildings we
describe.

    <div id="building" class="info" itemprop="about" itemscope itemtype="http://schema.org/LandmarksOrHistoricalBuildings">

Picking appropriate types is one area where Schema.org does not provide anything 
near the level of granularity at which archives and museums often specify the types
of objects they describe. There are types like Painting, Photograph, and 
Sculpture. So some types of objects like drawings, vases, and suits of armor
may have to fall back up the hierarchy to use using CreativeWork. One suggestion
made by Charles Moad, Director of the Indianapolis Museum of Art Lab, is to
extend CreativeWork with an objectType property (private correspondence). 
This objectType property in conjunction with the the suggestion to use an 
appropriate vocabulary could go a long way towards expanding the options for
cultural heritage organizations to describe their materials.

Once we have added an itemtype it is easy to also add a name and description.

Go to the next step to [add the address and geographic location](/steps/9.html).








