### 9. Address and Geographic Location

So far we have nested a LandmarksOrHistoricalBuildings within a Photograph
within an ItemPage. In this step we will create further nesting by describing
the address and geographic location of the Memorial Tower.

If we did not know the full
address we could use the `containedIn` property with any subclass of Place.
Since we have the full address we will use the `address` property. The expected
value of an `address` is a [`PostalAddress`](http://schema.org/PostalAddress).
The end result looks like this:

    <div id="building" class="info" itemprop="about" itemscope itemtype="http://schema.org/LandmarksOrHistoricalBuildings">
      <h2>Building Information</h2>
      <dl>
        ... 
        <dd itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
            <span itemprop="streetAddress">2701 Sullivan Drive</span><br>
            <span itemprop="addressLocality">Raleigh</span>, <span itemprop="addressLocality">NC</span> <span itemprop="postalCode">26707</span>      
        </dd>
        ...
      </dl>      
    </div>
    
Since we also have geocoded this location we can also add the `geo` property
using [`GeoCoordinates`](http://schema.org/GeoCoordinates): 

    <div id="building" class="info" itemprop="about" itemscope itemtype="http://schema.org/LandmarksOrHistoricalBuildings">
      <h2>Building Information</h2>
      <dl>
        ...        
        <dt>Latitude, Longitude</dt>
        <dd itemprop="geo" itemscope="" itemtype="http://schema.org/GeoCoordinates"><span itemprop="latitude">35.786098</span>, <span itemprop="longitude">-78.663498</span></dd>
       ...
      </dl>      
    </div>

Go to the [next step](/steps/10.html).


