### Tools

This page lists tools for working with Microdata and Schema.org.

Know other resources? Send an email to jronallo@gmail.com.

<div itemscope="" itemtype="http://schema.org/ItemList">
  <h4 itemprop="name">Recommended Microdata and Schema.org Tools</h4>
  <p>These are tools which I have regularly used.</p>
  <meta itemprop="mainContentOfPage" content="true"/>
  <ul>
    <li itemprop="itemListElement"><a href="">Rich Snippets Testing Tool</a>
      <div>
      Note that while it may not currently show a *rich* snippet example for 
      every schema.org type, you can use the data at the bottom of the page to
      insure that your Microdata is being parsed as you intended. The format
      here breaks every item out and shows references between them in a flat
      way.
      </div>
    </li>
    <li itemprop="itemListElement"><a href="http://linter.structured-data.org/">Structured Data Linter</a>
      <div>
      The best feature of this tool is the way that it displays your nested
      microdata as nested tables, making it easy to spot problems. 
      If the Rich Snippets Testing Tool doesn't show a rich snippet for your 
      content, this is a good alternative to see what your snippets *might* 
      look like.
      The snippets here do not cover every type either, but they cover a few
      different types from what the Rich Snippets Testing Tool does, for 
      instance it will show images for more types.
      The code is open source, so you can run your own instance to be able
      to check your syntax while you are in development.
      This is written by folks who have been part of the conversations around
      web vocabularies and structured data in HTML.      
      </div>
    </li>
    <li itemprop="itemListElement">
      <a href="http://foolip.org/microdatajs/live/">Live Microdata</a>
      <div>
        A good open-source tool for testing snippets of HTML marked up with
        Microdata. The [MicrodataJS source code](https://gitorious.org/microdatajs/)
        allows you to implement the Microdata DOM API on your own site, similar
        to how this tutorial outputs the JSON from parsing the page.
      </div>
    </li>
    <li itemprop="itemListElement">
      <a href="http://html5.validator.nu/">HTML5 Living Validator</a>
    </li>
    <!-- <li itemprop="itemListElement"><a href=""></a></li> -->
  </ul>

</div>

<div itemscope="" itemtype="http://schema.org/ItemList">
  <h4 itemprop="name">More Microdata and Schema.org Tools Tools</h4>
  <meta itemprop="mainContentOfPage" content="true"/>
  <ul>    
    <li itemprop="itemListElement"><a href="http://krofdrakula.github.com/microdata-tool/">Microdata Tool</a></li>
    <li itemprop="itemListElement"><a href="http://www.microdatagenerator.com/">microDATA generator</a></li>
    <li itemprop="itemListElement"><a href="http://schema-creator.org/">Schema Creator</a></li>
    <li itemprop="itemListElement"><a href="http://developer.search.yahoo.com/help/objectfinder">Yahoo! </a>
      <div>Tool to "Test your markup to make sure your enhanced result will appear."
        Doesn't seem to work.
      </div>
    </li>
    <li itemprop="itemListElement">
      <a href="http://krofdrakula.github.com/microdata-tool/">Microdata Tool</a>
      <div>
      jQuery plugin useful for displaying a the items discovered on the page.
      There is a [bookmarklet](http://jsfiddle.net/peterhost/ZJfpL/14/embedded/result/) 
      available.
      Has some quirks where it misses some data values. Could become a useful
      tool, though.
      </div>
    </li>
    <li itemprop="itemListElement">
      <a href="https://chrome.google.com/webstore/detail/docnladpefffgdocnidfngejcagdkedb?hl=en-US">Chrome Schema Explorer</a>
    </li>
    
    <li itemprop="itemListElement"><a href="http://microdata.realitysimple.com/">Microdata Tools</a></li>
    <li itemprop="itemListElement"><a href="http://omnidator.appspot.com/">omnidator</a>:
      <div>Translates Schema.org HTML/Microdata or CSV to various RDF
        serializations.
      </div>
    </li>
    
    <li itemprop="itemListElement">
      <a href="http://www.ebusiness-unibw.org/tools/rdf2microdata/">RDF2Microdata Converter</a>
      <div>
        From the folks behind GoodRelations.
      </div>
    </li>
    <li itemprop="itemListElement"><a href="https://github.com/mhausenblas/web.instata">web.insta</a>
      <div>
        Converts CSV data to HTML+microdata.
      </div>
    </li>
    <li itemprop="itemListElement"><a href="http://schemafied.com/">schemafied</a></li>
    <li itemprop="itemListElement"><a href="http://www.schemafeed.com/">Schema Feed</a></li>
    
  </ul>

</div>

<div itemscope="" itemtype="http://schema.org/ItemList">
  <h4 itemprop="name">Other Lists of Tools</h4>
  <meta itemprop="mainContentOfPage" content="true"/>
  <ul>    
    <li itemprop="itemListElement">
      <a href="http://schema.rdfs.org/tools.html">schema.rdfs.org list</a>
      <div>This page lists libraries in various programming languages including
        Javascript, Ruby, Python, and Java. It also includes a list of platforms
        which support Microdata or Schema.org in some way.
      </div>
    </li>
  </ul>

</div>




